{% load wagtailimages_tags %}
{% load static %}

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap">

    {% block extra_css %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/carousel_style.css' %}" />

    {% endblock %}
</head>

<div id="default-carousel" class="relative w-full rounded-[60px] h-screen border border-white p-4 overflow-hidden"
    data-carousel="slide" data-carousel-interval="8000">

    <!-- Carousel wrapper -->
    <div class="relative h-full w-full py-8">
        <div class="absolute inset-x-0 top-[-30px] z-50">
            {% include 'home/menu.html' %}
        </div>
        {% if carousel_section %}
            {% for section in carousel_section %}
                {% for slide in section.carousel_slides.all %}
                    {% if slide.image %}
                    <div class="hidden h-full transition-transform duration-2000 ease-in-out px-8 py-2 " data-carousel-item>
                        <div class="carouselInfo">
                            <div class="carouselInfo__title">{{ slide.title }}</div>
                            <div class="carouselInfo__description break-words max-w-1/2">{{ slide.description }}</div>
                            {% if not is_logged_in %}
                            <a href="{{ login_url }}">
                                <button type="button"
                                    class="carouselInfo__subscribe__button mb-2 me-2 bg-white font-medium text-sm text-white rounded-lg px-5 py-3">Registre-se
                                    <i class="fa-solid fa-arrow-right ml-1"></i></button>
                            </a>
                            {% endif %}
                            <a href="{{ slide.more_info_redirect_uri }}" target="_blank"
                                class="text-white carouselInfo_moreInfo_button mb-2 me-2 font-medium text-sm text-white border border-white rounded-lg px-5 py-3 border-2 no-underline hover:underline hover:underline-offset-2">
                                Saiba mais
                            </a>
                        </div>
                        {% image slide.image original class="carousel__image rounded-[60px]" %}
                    </div>
                    {% endif %}
                {% endfor %}

                <!-- Slider indicators -->
                <div class="absolute z-40 flex -translate-x-1/2 bottom-10 left-1/2 space-x-3 rtl:space-x-reverse">
                    {% for slide in section.carousel_slides.all %}
                    <button type="button" class="w-3 h-3 rounded-full"
                        aria-current="{% if forloop.first %}true{% else %}false{% endif %}"
                        aria-label="Slide {{ forloop.counter }}" data-carousel-slide-to="{{ forloop.counter0 }}"></button>
                    {% endfor %}
                </div>

                <!-- Slider controls -->
                <button type="button"
                    class="previous__button absolute top-1/2 start-0 z-50 flex items-center justify-center px-5 cursor-pointer group focus:outline-none"
                    data-carousel-prev>
                    <span
                        class="inline-flex items-center justify-center w-10 h-10 rounded-full bg-white/50 dark:bg-lightGray/50 group-hover:bg-white/70 dark:group-hover:bg-lightGray/70 group-focus:ring-4 group-focus:ring-white dark:group-focus:ring-lightGray/70 group-focus:outline-none ">
                        <svg class="w-6 h-6 text-white dark:text-lightGray rtl:rotate-180" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="M5 1 1 5l4 4" />
                        </svg>
                        <span class="sr-only">Previous</span>
                    </span>
                </button>

                <button type="button"
                    class="next__button absolute top-1/2 end-0 z-50 flex items-center justify-center px-5 cursor-pointer group focus:outline-none"
                    data-carousel-next>
                    <span
                        class="inline-flex items-center justify-center w-10 h-10 p-0 rounded-full bg-white/50 dark:bg-lightGray/50 group-hover:bg-white/70 dark:group-hover:bg-lightGray/70 group-focus:ring-4 group-focus:ring-white dark:group-focus:ring-lightGray/70 group-focus:outline-none">
                        <svg class="w-6 h-6 text-white dark:text-lightGray rtl:rotate-180" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="m1 9 4-4-4-4" />
                        </svg>
                        <span class="sr-only">Next</span>
                    </span>
                </button>
            {% endfor %}
        {% endif %}
    </div>
</div>
